Bug 599707

Summary: system-config-network fails with unhelpful error message when not using NetworkManager
Product: [Fedora] Fedora Reporter: Joe Bayes <jbayes>
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: dcbw, harald, iarlyy, jmoskovc, jonathan, jpopelka, notting, plautrba, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: initscripts-9.12.1-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 600454 (view as bug list) Environment:
Last Closed: 2010-07-01 18:45:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 600454    

Description Joe Bayes 2010-06-03 19:23:08 UTC
Description of problem:
When I uncheck "Controlled by NetworkManager" in system-config-network, the network interface deactivates and won't reactivate.

Version-Release number of selected component (if applicable):
system-config-network-1.6.0-2.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1. system-config-network
2. Click eth0, click edit, uncheck "Controlled by NetworkManager", click OK
3. File->Save
4. Click "Activate"
  
Actual results:
A pop-up box says, "Error: Unknown connection: 5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03." and the network does not work.

Expected results:
Either the network should work, or it should give a helpful error message which gives a hint as to how to resolve the problem. 

Additional info:
Despite having used Fedora for years, I'm stumped by the current network setup. I absolutely do not want my computer to connect to my dhcp server, or try to scout out other ways to connect, or to raise and lower the network connection at the console user's whim. I want to give it a static ip address, and have it connect to that at boot and remain connected until shutdown. There should be an easy way to shut off all the dynamic network "management".

Comment 1 Jiri Popelka 2010-06-04 13:48:55 UTC
(In reply to comment #0)
> Actual results:
> A pop-up box says, "Error: Unknown connection:
> 5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03." and the network does not work.
> 
Not a s-c-network problem.
Adding (or changing to)
NM_CONTROLLED=no
in network-scripts/ifcfg-ethx (ethx is previously NM controlled NIC)
and then ifup ethx
also fails with the above mentioned Error.

Not sure whether this is initscripts (let's try this first) or NM problem (adding Dan to CC).
 
> Additional info:
> Despite having used Fedora for years, I'm stumped by the current network setup.
> I absolutely do not want my computer to connect to my dhcp server, or try to
> scout out other ways to connect, or to raise and lower the network connection
> at the console user's whim. I want to give it a static ip address, and have it
> connect to that at boot and remain connected until shutdown. There should be an
> easy way to shut off all the dynamic network "management".
what about:
Right click on NM-applet, 'Edit connections...', select interface, 'Edit...', 'IPv4 Settings' tab, switch Method to Manual, fill in your static address/netmask

Comment 2 Joe Bayes 2010-06-04 14:46:28 UTC
> Right click on NM-applet, 'Edit connections...', select interface, 'Edit...',
> 'IPv4 Settings' tab, switch Method to Manual, fill in your static
> address/netmask    

When I first tried the above (right-click, manage connections), there was no interface listed. So I created one, called it eth0, but no matter what I do it is listed as "last used: never". 

But if I click on nm-applet, it lists two connections: there's eth0, with a little heart beside it, and says "active", but there's an unplugged rj45 jack beside it and if I hover, a blue window pops up with "status: preparing to connect". 

There's also a "System eth0", which has none of the above heart and rj45, etc. But if I delete my "eth0", then the "System eth0" gets the "active" tag with the heart and the rj45 and the "preparing to connect". 

When I first booted, I thought I had set up my network properly. After spending a couple of hours figuring out why I couldn't accept incoming connections, I found that the system had ignored the network that I had set up and had sneakily gotten itself a dynamic IP and called it "auto manage" or something like that. I'm not sure how I managed to turn that off, but at least it's gone. 

Sorry about the rambling. If there's any helpful information I can provide...

Comment 4 Bill Nottingham 2010-06-04 18:22:25 UTC
(Note for those who may want to just pull the patch... it requires the patch before it in git as well.)

Comment 5 Fedora Update System 2010-06-24 19:32:18 UTC
initscripts-9.12.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/initscripts-9.12.1-1.fc13

Comment 6 Fedora Update System 2010-06-25 18:14:01 UTC
initscripts-9.12.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/initscripts-9.12.1-1.fc13

Comment 7 Fedora Update System 2010-07-01 18:45:18 UTC
initscripts-9.12.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.